package com.gct.tool.entity.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author xusirui 2022/11/3
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SingleGtData {

    @ExcelProperty("井号")
    public String wellId;

    @ExcelProperty("生产日期")
    public String prodDate;

    @ExcelProperty("最大载荷")
    public Double maxLoad;

    @ExcelProperty("最小载荷")
    public Double minLoad;

    @ExcelProperty("功图")
    public String workDiagram;

    @ExcelProperty("功图面积")
    public Double workDiagramArea;

    @ExcelProperty("分析结果")
    public String analyseResult;
}
